Hi all. I'm trying to compile the driver for my Kodak ESP C310. I downloaded the appropriate tar.gz folder, extracted it and aided by a very informative YouTube tutorial did the following.

paul@paul-desktop:~/Downloads/c2esp21$ sudo make uninstall
[sudo] password for paul:
rm -rf /usr/share/ppd/c2esp/
rm -f /usr/bin/myopldecode
rm -f /usr/bin/c2esp
rm -f /usr/bin/c2esplog
rm -f /usr/lib/cups/filter/c2esp
rm -f /usr/lib/cups/filter/c2espC
cd ppd; for ppdfile in *.ppd; do \
rm -f /usr/share/cups/model/$ppdfile.gz; \
done;

Then...
paul@paul-desktop:~/Downloads/c2esp21$ make
#
# Compile Dependencies...
#
***
*** Error: /usr/include/cups/image.h is not installed!
***
*** Install cups raster library package
*** for Ubuntu: sudo apt-get install libcupsimage2-dev
***
make: *** [all-test] Error 1

When I followed the instruction to install the apparently missing packages I am told I have the latest versions...

paul@paul-desktop:~$ sudo apt-get install libcupsimage2-dev
[sudo] password for paul:
Reading package lists... Done
Building dependency tree
Reading state information... Done
libcupsimage2-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
paul@paul-desktop:~$

I have also found the appropriate components in Synaptic & re-installed them to no avail. I have tried several times now, re-starting the machine each time but I cannot get past this problem.
Can anybody out there please help?
Thanks in advance.